SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Notices
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:string-length

fn:string-length() → integer?

Function signature

Result | xs:integer ?

Returns the number of characters in the string value of the context item

XPath 2.0 Specification

fn:string-length(string? $srcval) → integer?

Function signature

$srcval | xs:string ?
Result | xs:integer ?

Returns the number of characters in the given string

XPath 2.0 Specification

Next